--[[
	Securely moves the Panel windows down below Skinner.TopFrame
	NB: Will not attempt to move a protected frame during combat. I.e. spellbook will apear in original position when opening/moving in combat.
]]

local self = Skinner

function Skinner:MovePanelFramesDown(frame,dontSetPoints)
  if not self.db.profile.TopFrame.adjustpanels or dontSetPoints then return end
	local offset = self.db.profile.TopFrame.height
  if UIParent.left and not (UIParent.left:IsProtected() and InCombatLockdown()) then 
    UIParent.left:ClearAllPoints() 
    UIParent.left:SetPoint("TOPLEFT","UIParent","TOPLEFT",0,-offset) 
  end 
  if UIParent.center and not (UIParent.center:IsProtected() and InCombatLockdown()) then 
    UIParent.center:ClearAllPoints() 
    UIParent.center:SetPoint("TOPLEFT","UIParent","TOPLEFT",389,-offset) 
  end 
  if UIParent.doublewide then 
    UIParent.doublewide:ClearAllPoints() 
    UIParent.doublewide:SetPoint("TOPLEFT","UIParent","TOPLEFT",0,-offset) 
  end 
end 

self:SecureHook("SetLeftFrame", "MovePanelFramesDown") 
self:SecureHook("SetDoublewideFrame", "MovePanelFramesDown") 
self:SecureHook("SetCenterFrame", "MovePanelFramesDown") 
self:SecureHook("MovePanelToLeft", "MovePanelFramesDown") 
self:SecureHook("MovePanelToCenter", "MovePanelFramesDown") 